package com.sinenux.yshub.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Value("${REQUEST_IPS:0.0.0.0}")
    private String requestIps;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new IpWhitelistInterceptor(requestIps));
    }
}
