package com.sinenux.yshub.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author laifeng
 * @since 2023/3/24
 */
@Data
public class HandleQuery implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("页码")
    String pageNo;
    @ApiModelProperty("页面数量")
    String pageSize;

    @ApiModelProperty("企业前缀")
    private String prefix;

    @ApiModelProperty("标识名称")
    private String handleName;


    @ApiModelProperty("开始时间")
    private String startTime;


    @ApiModelProperty("结束时间")
    private String endTime;

}
