package com.sinenux.yshub.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sinenux.yshub.entity.EnterprisePrefix;

import java.util.List;
import java.util.Map;

/**
 * 企业前缀 服务类
 *
 * @author laifeng
 * @since 2023-11-08
 */

public interface IEnterprisePrefixService extends IService<EnterprisePrefix> {

    /**
     * 获取企业前缀Top10
     */
    List<EnterprisePrefix> getTop10();

    Map<String,Object> prefixStatistics();
}
